Bug 176818 - cannot set setfscreatecon `root:object_r:src_t': Invalid argument
Summary: cannot set setfscreatecon `root:object_r:src_t': Invalid argument
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libsetrans   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-03 11:46 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.1.14-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-04 22:46:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2006-01-03 11:46:19 UTC
Description of problem:
After installing latest libsetrans, I get with every filesystem activity (cp,
mv etc.), which would relabel a file and/or directory, the message "cannot set 
setfscreatecon `root:object_r:src_t': Invalid argument".

The problem disappears soon when downgrading to libsetrans-0.1.11-3 using
(rpm -Uvh --oldpackage). But I had to execute this command twice to have a
sane "rpm -V libsetrans" output (which is nothing in this case).

Version-Release number of selected component (if applicable):
libsetrans-0.1.13-1

How reproducible:
Everytime for me, see above.

Actual results:
Error message "cannot set setfscreatecon `root:object_r:src_t': Invalid 
argument" at cp, mv etc.

Expected results:
Working like before ;-)

Additional info:
Oh I'm using selinux-policy-targeted, but I guess this is less relevant.

Comment 1 Daniel Walsh 2006-01-03 16:47:00 UTC
Fixed in libsetrans-0.1.14-1

Available on ftp://people.redhat.com/dwalsh/SELinux/Fedora

Comment 2 Robert Scheck 2006-01-04 22:46:37 UTC
Yepp, works - thanks!


Note You need to log in before you can comment on or make changes to this bug.